Force-Expire an Active Tier Gift

​

Force-expires an active tier gift for a specified user. The API validates the request, looks up the user, verifies that the user has an active tier gift, and then force-expires the gift when all checks pass. The API can also be used to force-expire a gift for a banned or deactivated user who has an active gift

If the user is not found or does not have an active tier gift, the API returns a 404 Not Found error.

Prerequisites

The business admin must have "Dashboard API access" and "Gift & force redeem" permissions.

Additionally, the "Membership Levels" and "Membership Tier Boost" features must be enabled for the business. The membership_tier_boost boolean response parameter in the Program Meta API indicates whether Membership Tier Boost is enabled for the business.

Contact your Punchh representative to update this Punchh platform configuration.

Headers

  • Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Body

application/json
  • The reason for revoking the active tier gift (recorded for audit purposes).

  • The unique identifier of the user whose active tier gift should be revoked.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/api2/dashboard/users/revoke_active_tier
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/users/revoke_active_tier \
  --request DELETE \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "user_id": 111111111,
  "reason": "test"
}'
{
  "message": "Active tier gift has been expired successfully."
}